#ifndef XCOLLISIONPARTITION_H
#define XCOLLISIONPARTITION_H

#include "xasset.h"
#include "xcollisionborder.h"

#include <QVector>

class XCollisionPartition : public XAsset
{
public:
    explicit XCollisionPartition();
    ~XCollisionPartition();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    quint8 mTriCount;
    quint8 mBorderCount;
    int mFirstTri;
    QVector<XCollisionBorder> mBorders;
};

#endif // XCOLLISIONPARTITION_H
